From 2b251207adef7ab9b9f243d4bcfa2cfc1e515114 Mon Sep 17 00:00:00 2001
From: Shu <me@wadza.fr>
Date: Tue, 5 Jan 2021 18:11:53 +0100
Subject: [PATCH] Fix: include path

---
 src/CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index c72a4be..f5d134e 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -55,8 +55,8 @@ set(install_targets ${install_targets} FastNoise PARENT_SCOPE)
 set(install_fastnoise_headers ${FastNoise_headers} PARENT_SCOPE)
 set(install_fastsimd_headers ${FastSIMD_headers} PARENT_SCOPE)
 
-target_include_directories(FastNoise PUBLIC 
-    $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
+target_include_directories(FastNoise SYSTEM PUBLIC 
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
     $<INSTALL_INTERFACE:include>
 )
 
-- 
2.30.0

